import type { Snippet } from 'svelte';
import type { HTMLButtonAttributes } from 'svelte/elements';
import { type ActionArray } from 'svelte-component-actions';
export type Props = HTMLButtonAttributes & {
    kind?: 'base' | 'positive' | 'negative' | 'link';
    inline?: boolean;
    dense?: boolean;
    small?: boolean;
    icon?: Snippet | string;
    iconPosition?: 'left' | 'right';
    processing?: boolean;
    use?: ActionArray;
};
interface $$__sveltets_2_IsomorphicComponent<Props extends Record<string, any> = any, Events extends Record<string, any> = any, Slots extends Record<string, any> = any, Exports = {}, Bindings = string> {
    new (options: import('svelte').ComponentConstructorOptions<Props>): import('svelte').SvelteComponent<Props, Events, Slots> & {
        $$bindings?: Bindings;
    } & Exports;
    (internal: unknown, props: Props & {
        $$events?: Events;
        $$slots?: Slots;
    }): Exports & {
        $set?: any;
        $on?: any;
    };
    z_$$bindings?: Bindings;
}
declare const Button: $$__sveltets_2_IsomorphicComponent<Props, {
    [evt: string]: CustomEvent<any>;
}, {}, {}, "">;
type Button = InstanceType<typeof Button>;
export default Button;
