import type { HTMLAttributes } from 'svelte/elements';
import type { Snippet } from 'svelte';
export type BaseFormGroupProps<T> = Omit<T, 'children'> & {
    for?: string | null;
    label: string | Snippet;
    labelGroup?: Snippet<[
        {
            class?: string;
            label: BaseFormGroupProps<T>['label'];
            for: BaseFormGroupProps<T>['for'];
        }
    ]>;
    required?: boolean;
    helpText?: string | Snippet;
    error?: boolean | null | string | Snippet;
    caution?: boolean | null | string | Snippet;
    success?: boolean | null | string | Snippet;
    children?: Snippet;
};
export type Props = Omit<BaseFormGroupProps<HTMLAttributes<HTMLDivElement>>, 'children'> & {
    children: Snippet<[
        {
            describedby: string | null;
            invalid: boolean;
            required: boolean | undefined;
            validation: boolean;
        }
    ]>;
};
interface $$__sveltets_2_IsomorphicComponent<Props extends Record<string, any> = any, Events extends Record<string, any> = any, Slots extends Record<string, any> = any, Exports = {}, Bindings = string> {
    new (options: import('svelte').ComponentConstructorOptions<Props>): import('svelte').SvelteComponent<Props, Events, Slots> & {
        $$bindings?: Bindings;
    } & Exports;
    (internal: unknown, props: Props & {
        $$events?: Events;
        $$slots?: Slots;
    }): Exports & {
        $set?: any;
        $on?: any;
    };
    z_$$bindings?: Bindings;
}
declare const FormGroup: $$__sveltets_2_IsomorphicComponent<Props, {
    [evt: string]: CustomEvent<any>;
}, {}, {}, "">;
type FormGroup = InstanceType<typeof FormGroup>;
export default FormGroup;
