import type { Snippet } from 'svelte';
import type { HTMLAttributes } from 'svelte/elements';
export type Props = Omit<HTMLAttributes<HTMLDivElement>, 'title'> & {
    title: string | Snippet;
    message?: string | Snippet;
    color?: 'positive' | 'caution' | 'negative' | 'information';
    borderless?: boolean;
    inline?: boolean;
    timestamp?: string | Snippet;
    actions?: Snippet;
    dismissible?: boolean;
    closeLabel?: string;
    onclose?: (event: Event) => void;
};
interface $$__sveltets_2_IsomorphicComponent<Props extends Record<string, any> = any, Events extends Record<string, any> = any, Slots extends Record<string, any> = any, Exports = {}, Bindings = string> {
    new (options: import('svelte').ComponentConstructorOptions<Props>): import('svelte').SvelteComponent<Props, Events, Slots> & {
        $$bindings?: Bindings;
    } & Exports;
    (internal: unknown, props: Props & {
        $$events?: Events;
        $$slots?: Slots;
    }): Exports & {
        $set?: any;
        $on?: any;
    };
    z_$$bindings?: Bindings;
}
declare const Notification: $$__sveltets_2_IsomorphicComponent<Props, {
    [evt: string]: CustomEvent<any>;
}, {}, {}, "">;
type Notification = InstanceType<typeof Notification>;
export default Notification;
