import type { Snippet } from 'svelte';
import type { HTMLAnchorAttributes, HTMLAttributes } from 'svelte/elements';
export type Props = HTMLAttributes<HTMLElement> & {
    previous: string | Snippet<[]>;
    previousLabel?: string | Snippet<[]>;
    previousHref: HTMLAnchorAttributes['href'];
    previousTarget?: HTMLAnchorAttributes['target'];
    next: string | Snippet<[]>;
    nextLabel?: string | Snippet<[]>;
    nextHref: HTMLAnchorAttributes['href'];
    nextTarget?: HTMLAnchorAttributes['target'];
};
interface $$__sveltets_2_IsomorphicComponent<Props extends Record<string, any> = any, Events extends Record<string, any> = any, Slots extends Record<string, any> = any, Exports = {}, Bindings = string> {
    new (options: import('svelte').ComponentConstructorOptions<Props>): import('svelte').SvelteComponent<Props, Events, Slots> & {
        $$bindings?: Bindings;
    } & Exports;
    (internal: unknown, props: Props & {
        $$events?: Events;
        $$slots?: Slots;
    }): Exports & {
        $set?: any;
        $on?: any;
    };
    z_$$bindings?: Bindings;
}
declare const ArticlePagination: $$__sveltets_2_IsomorphicComponent<Props, {
    [evt: string]: CustomEvent<any>;
}, {}, {}, "">;
type ArticlePagination = InstanceType<typeof ArticlePagination>;
export default ArticlePagination;
