import { type CreateContextMenuCheckboxItemProps } from '@melt-ui/svelte';
import { type Snippet } from 'svelte';
import type { HTMLButtonAttributes } from 'svelte/elements';
export type Props = HTMLButtonAttributes & Omit<CreateContextMenuCheckboxItemProps, 'checked'> & {
    checked?: boolean | 'indeterminate';
    checkIcon?: IconName | Snippet;
    uncheckIcon?: IconName | Snippet;
};
import type { IconName } from '../Icon/Icon.svelte';
interface $$__sveltets_2_IsomorphicComponent<Props extends Record<string, any> = any, Events extends Record<string, any> = any, Slots extends Record<string, any> = any, Exports = {}, Bindings = string> {
    new (options: import('svelte').ComponentConstructorOptions<Props>): import('svelte').SvelteComponent<Props, Events, Slots> & {
        $$bindings?: Bindings;
    } & Exports;
    (internal: unknown, props: Props & {
        $$events?: Events;
        $$slots?: Slots;
    }): Exports & {
        $set?: any;
        $on?: any;
    };
    z_$$bindings?: Bindings;
}
declare const CheckboxItem: $$__sveltets_2_IsomorphicComponent<Props, {
    [evt: string]: CustomEvent<any>;
}, {}, {}, "checked">;
type CheckboxItem = InstanceType<typeof CheckboxItem>;
export default CheckboxItem;
