import type { HTMLInputAttributes } from 'svelte/elements';
import type { BaseFormGroupProps } from './FormGroup.svelte.js';
export type Props = BaseFormGroupProps<Omit<HTMLInputAttributes, 'type' | 'value' | 'required'> & Omit<CreateTagsInputProps, 'tags'> & {
    groupClass?: string;
    dense?: boolean;
    tags?: Tag[];
}>;
import { type CreateTagsInputProps, type Tag } from '@melt-ui/svelte';
interface $$__sveltets_2_IsomorphicComponent<Props extends Record<string, any> = any, Events extends Record<string, any> = any, Slots extends Record<string, any> = any, Exports = {}, Bindings = string> {
    new (options: import('svelte').ComponentConstructorOptions<Props>): import('svelte').SvelteComponent<Props, Events, Slots> & {
        $$bindings?: Bindings;
    } & Exports;
    (internal: unknown, props: Props & {
        $$events?: Events;
        $$slots?: Slots;
    }): Exports & {
        $set?: any;
        $on?: any;
    };
    z_$$bindings?: Bindings;
}
declare const TagsInput: $$__sveltets_2_IsomorphicComponent<Props, {
    [evt: string]: CustomEvent<any>;
}, {}, {}, "tags">;
type TagsInput = InstanceType<typeof TagsInput>;
export default TagsInput;
