import type { Snippet } from 'svelte';
import type { HTMLAnchorAttributes, HTMLAttributes } from 'svelte/elements';
import type { Nullable } from 'vitest';
export type Props = Omit<HTMLAttributes<HTMLLIElement>, 'title'> & Nullable<Pick<HTMLAnchorAttributes, 'href' | 'hreflang' | 'target' | 'download' | 'media' | 'ping' | 'rel' | 'type' | 'referrerpolicy'>> & {
    image: string;
    alt: string;
    title: string | Snippet<[]>;
};
interface $$__sveltets_2_IsomorphicComponent<Props extends Record<string, any> = any, Events extends Record<string, any> = any, Slots extends Record<string, any> = any, Exports = {}, Bindings = string> {
    new (options: import('svelte').ComponentConstructorOptions<Props>): import('svelte').SvelteComponent<Props, Events, Slots> & {
        $$bindings?: Bindings;
    } & Exports;
    (internal: unknown, props: Props & {
        $$events?: Events;
        $$slots?: Slots;
    }): Exports & {
        $set?: any;
        $on?: any;
    };
    z_$$bindings?: Bindings;
}
declare const Item: $$__sveltets_2_IsomorphicComponent<Props, {
    [evt: string]: CustomEvent<any>;
}, {}, {}, "">;
type Item = InstanceType<typeof Item>;
export default Item;
