import type { Snippet } from 'svelte';
import type { HTMLAttributes } from 'svelte/elements';
export type Props = HTMLAttributes<HTMLElement> & {
    dark?: boolean;
    sliding?: boolean;
    sticky?: boolean;
    reduced?: boolean;
    secondary?: boolean;
    logo?: Snippet;
    search?: boolean;
    searchLabel?: string | Snippet;
    searchOpen?: boolean;
    menuEnd?: Snippet;
    menuOpen?: boolean;
    menuLabel?: string | Snippet;
    menuCloseLabel?: string | Snippet;
};
interface $$__sveltets_2_IsomorphicComponent<Props extends Record<string, any> = any, Events extends Record<string, any> = any, Slots extends Record<string, any> = any, Exports = {}, Bindings = string> {
    new (options: import('svelte').ComponentConstructorOptions<Props>): import('svelte').SvelteComponent<Props, Events, Slots> & {
        $$bindings?: Bindings;
    } & Exports;
    (internal: unknown, props: Props & {
        $$events?: Events;
        $$slots?: Slots;
    }): Exports & {
        $set?: any;
        $on?: any;
    };
    z_$$bindings?: Bindings;
}
declare const Navigation: $$__sveltets_2_IsomorphicComponent<Props, {
    [evt: string]: CustomEvent<any>;
}, {}, {}, "searchOpen" | "menuOpen">;
type Navigation = InstanceType<typeof Navigation>;
export default Navigation;
