import type { HTMLTableAttributes } from 'svelte/elements';
import type { Snippet } from 'svelte';
export type Props<T> = HTMLTableAttributes & {
    data: T[];
    columns: ColumnDef<T, any>[];
    header?: Snippet<[{
        header: Header<T, unknown>;
    }]>;
};
import { type ColumnDef, type Header } from '@tanstack/table-core';
declare class __sveltets_Render<T> {
    props(): Props<T>;
    events(): {} & {
        [evt: string]: CustomEvent<any>;
    };
    slots(): {};
    bindings(): "";
    exports(): {};
}
interface $$IsomorphicComponent {
    new <T>(options: import('svelte').ComponentConstructorOptions<ReturnType<__sveltets_Render<T>['props']>>): import('svelte').SvelteComponent<ReturnType<__sveltets_Render<T>['props']>, ReturnType<__sveltets_Render<T>['events']>, ReturnType<__sveltets_Render<T>['slots']>> & {
        $$bindings?: ReturnType<__sveltets_Render<T>['bindings']>;
    } & ReturnType<__sveltets_Render<T>['exports']>;
    <T>(internal: unknown, props: ReturnType<__sveltets_Render<T>['props']> & {
        $$events?: ReturnType<__sveltets_Render<T>['events']>;
    }): ReturnType<__sveltets_Render<T>['exports']>;
    z_$$bindings?: ReturnType<__sveltets_Render<any>['bindings']>;
}
declare const Table: $$IsomorphicComponent;
type Table<T> = InstanceType<typeof Table<T>>;
export default Table;
