import { type CreateTreeViewProps } from '@melt-ui/svelte';
import type { HTMLAttributes } from 'svelte/elements';
import type { TreeItem } from './types.js';
export type Props = Omit<HTMLAttributes<HTMLUListElement>, 'children'> & Omit<CreateTreeViewProps, 'expanded'> & {
    items: TreeItem[];
    expanded?: string[];
    children?: Snippet<[TreeItem]>;
};
import { type Snippet } from 'svelte';
interface $$__sveltets_2_IsomorphicComponent<Props extends Record<string, any> = any, Events extends Record<string, any> = any, Slots extends Record<string, any> = any, Exports = {}, Bindings = string> {
    new (options: import('svelte').ComponentConstructorOptions<Props>): import('svelte').SvelteComponent<Props, Events, Slots> & {
        $$bindings?: Bindings;
    } & Exports;
    (internal: unknown, props: Props & {
        $$events?: Events;
        $$slots?: Slots;
    }): Exports & {
        $set?: any;
        $on?: any;
    };
    z_$$bindings?: Bindings;
}
declare const Tree: $$__sveltets_2_IsomorphicComponent<Props, {
    [evt: string]: CustomEvent<any>;
}, {}, {}, "expanded">;
type Tree = InstanceType<typeof Tree>;
export default Tree;
